EventForwarding (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.ext.jakarta.jsp, class: EventForwarding

Package freemarker.ext.jakarta.jsp

# Class EventForwarding

java.lang.Object
freemarker.ext.jakarta.jsp.EventForwarding

All Implemented Interfaces:
  `jakarta.servlet.http.HttpSessionAttributeListener`, `jakarta.servlet.http.HttpSessionListener`, `jakarta.servlet.ServletContextAttributeListener`, `jakarta.servlet.ServletContextListener`, `EventListener`

public class EventForwarding extends Object implements jakarta.servlet.ServletContextAttributeListener, jakarta.servlet.ServletContextListener, jakarta.servlet.http.HttpSessionListener, jakarta.servlet.http.HttpSessionAttributeListener
An instance of this class should be registered as a `<listener>` in the `web.xml` descriptor in order to correctly dispatch events to event listeners that are specified in TLD files.

Note that there are two variants of this class: One for the legacy "javax" Servlet API in the `freemarker.ext``.jsp` package, and another for the newer Jakarta Servlet API in the `freemarker.ext``.jakarta.jsp` package (since 2.3.33). Use the variant that fits your Servlet container!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventForwarding()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `attributeAdded​(jakarta.servlet.http.HttpSessionBindingEvent arg0)`
  `void`
  `attributeAdded​(jakarta.servlet.ServletContextAttributeEvent arg0)`
  `void`
  `attributeRemoved​(jakarta.servlet.http.HttpSessionBindingEvent arg0)`
  `void`
  `attributeRemoved​(jakarta.servlet.ServletContextAttributeEvent arg0)`
  `void`
  `attributeReplaced​(jakarta.servlet.http.HttpSessionBindingEvent arg0)`
  `void`
  `attributeReplaced​(jakarta.servlet.ServletContextAttributeEvent arg0)`
  `void`
  `contextDestroyed​(jakarta.servlet.ServletContextEvent arg0)`
  `void`
  `contextInitialized​(jakarta.servlet.ServletContextEvent arg0)`
  `void`
  `sessionCreated​(jakarta.servlet.http.HttpSessionEvent arg0)`
  `void`
  `sessionDestroyed​(jakarta.servlet.http.HttpSessionEvent arg0)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventForwarding

    public EventForwarding()

- ## Method Details

  - ### attributeAdded

    public void attributeAdded​(jakarta.servlet.ServletContextAttributeEvent arg0)
    Specified by:
      `attributeAdded` in interface `jakarta.servlet.ServletContextAttributeListener`

  - ### attributeRemoved

    public void attributeRemoved​(jakarta.servlet.ServletContextAttributeEvent arg0)
    Specified by:
      `attributeRemoved` in interface `jakarta.servlet.ServletContextAttributeListener`

  - ### attributeReplaced

    public void attributeReplaced​(jakarta.servlet.ServletContextAttributeEvent arg0)
    Specified by:
      `attributeReplaced` in interface `jakarta.servlet.ServletContextAttributeListener`

  - ### contextInitialized

    public void contextInitialized​(jakarta.servlet.ServletContextEvent arg0)
    Specified by:
      `contextInitialized` in interface `jakarta.servlet.ServletContextListener`

  - ### contextDestroyed

    public void contextDestroyed​(jakarta.servlet.ServletContextEvent arg0)
    Specified by:
      `contextDestroyed` in interface `jakarta.servlet.ServletContextListener`

  - ### sessionCreated

    public void sessionCreated​(jakarta.servlet.http.HttpSessionEvent arg0)
    Specified by:
      `sessionCreated` in interface `jakarta.servlet.http.HttpSessionListener`

  - ### sessionDestroyed

    public void sessionDestroyed​(jakarta.servlet.http.HttpSessionEvent arg0)
    Specified by:
      `sessionDestroyed` in interface `jakarta.servlet.http.HttpSessionListener`

  - ### attributeAdded

    public void attributeAdded​(jakarta.servlet.http.HttpSessionBindingEvent arg0)
    Specified by:
      `attributeAdded` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

  - ### attributeRemoved

    public void attributeRemoved​(jakarta.servlet.http.HttpSessionBindingEvent arg0)
    Specified by:
      `attributeRemoved` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

  - ### attributeReplaced

    public void attributeReplaced​(jakarta.servlet.http.HttpSessionBindingEvent arg0)
    Specified by:
      `attributeReplaced` in interface `jakarta.servlet.http.HttpSessionAttributeListener`